com.unitech.lib.htx.device

## Class DeviceHT730

- java.lang.Object
- - com.unitech.lib.reader.device.BaseDevice
  - - com.unitech.lib.htx.device.DeviceHT730

- All Implemented Interfaces:
    IProtocolEventListener

      public class DeviceHT730
      extends BaseDevice
      implements IProtocolEventListener

- - ### Field Summary

    - ### Fields inherited from class com.unitech.lib.reader.device.BaseDevice

      `_protocol, INFO, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceHT730(BaseTransport baseTransport, IDeviceEventListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getModuleInfo(DeviceOptionType type)` Get the specific module's model number in the device
    `java.lang.String` | `getVersion()`
    `void` | `initModuleInfo()` Initialize module info for get device's supported module
    `void` | `onEvent(int cmd, int sub, java.lang.Object data)`

    - ### Methods inherited from class com.unitech.lib.reader.device.BaseDevice

      `getProtocol, getTransport, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceHT730

          public DeviceHT730(BaseTransport baseTransport,
                             IDeviceEventListener listener)

  - ### Method Detail

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in class `BaseDevice`

    - #### onEvent

          public void onEvent(int cmd,
                              int sub,
                              java.lang.Object data)

      Specified by:
        `onEvent` in interface `IProtocolEventListener`

    - #### initModuleInfo

          public void initModuleInfo()
                              throws ReaderException

      Initialize module info for get device's supported module
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getModuleInfo

          public int getModuleInfo(DeviceOptionType type)
                            throws ReaderException

      Get the specific module's model number in the device
      Parameters:
        `type` - The module type
      Returns:
        The module's model number
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.